Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1268016 - RFE: pxe_drac driver should disable pxe boot on NICs not spec'd in instackenv.json
Summary: RFE: pxe_drac driver should disable pxe boot on NICs not spec'd in instackenv...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Lucas Alvares Gomes
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 14:56 UTC by Dan Yocum
Modified: 2018-08-01 15:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 15:36:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dan Yocum 2015-10-01 14:56:57 UTC
Description of problem:

During introspection, it was discovered that the 10GbT NICs were attempting to perform PXE boots, even though they're not on the provisioning network.  The 10GbT NICs happens to be the 1st NIC, and the 1Gbe NIC was #3.

pxe_drac should find the NIC that corresponds to the MAC specified in the instackenv.json file and do the following:

1) ensure that it's configured to pxe boot
2) disable pxe boot on all other NICs

Comment 4 Mike Burns 2016-04-07 20:50:54 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 6 Dmitry Tantsur 2016-10-04 17:09:03 UTC
Miles, could you figure out if this is possible with iDrac?

Comment 8 Miles Gould 2017-04-12 10:57:04 UTC
Unassigning myself, because I'm leaving.


Note You need to log in before you can comment on or make changes to this bug.